Create Pass From Template With Values Images
curl --request POST \
--url https://api.loyalty.dog/v2/templates/{templateId}/pass \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/pass', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/pass"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Pass Generation
Create Pass From Template With Values Images
Create Pass from Template with Values and Images
Creates a pass from a template with provided values and images.
Parameters:
request(Request): The incoming request.template(Template): The pass template.user(User): The currently authenticated user.background_tasks(BackgroundTasks): Background tasks for asynchronous execution.
Returns:
dict: A dictionary containing the created pass information.
POST
/
v2
/
templates
/
{templateId}
/
pass
Create Pass From Template With Values Images
curl --request POST \
--url https://api.loyalty.dog/v2/templates/{templateId}/pass \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/pass', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/pass"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
